Loading...
Searching...
No Matches
Ogre::ColourInterpolatorAffector Class Reference

`#include <OgreColourInterpolatorAffector.h>`

Inheritance diagram for Ogre::ColourInterpolatorAffector:
[legend]

## Classes

class | CmdColourAdjust
| Command object for red adjust (see ParamCommand). More...
class | CmdTimeAdjust
| Command object for red adjust (see ParamCommand). More...

## Public Types

enum | { MAX_STAGES = 6 }

## Public Member Functions

| ColourInterpolatorAffector (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| Method called to allow the affector to 'do it's stuff' on all active particles in the system.
void | _initParticle (Particle *pParticle) override
| Method called to allow the affector to initialize all newly created particles in the system.
ColourValue | getColourAdjust (size_t index) const
Real | getTimeAdjust (size_t index) const
void | setColourAdjust (size_t index, ColourValue colour)
void | setTimeAdjust (size_t index, Real time)
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
const String & | getType (void) const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary (void)
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary (void) const
String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object.
bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes

static CmdColourAdjust | msColourCmd [MAX_STAGES]
static CmdTimeAdjust | msTimeCmd [MAX_STAGES]

## Additional Inherited Members

Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
MAX_STAGES |

## Constructor & Destructor Documentation

## ColourInterpolatorAffector()

Ogre::ColourInterpolatorAffector::ColourInterpolatorAffector | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## _affectParticles()

void Ogre::ColourInterpolatorAffector::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed )

override virtual

Method called to allow the affector to 'do it's stuff' on all active particles in the system.

This is where the affector gets the chance to apply it's effects to the particles of a system. The affector is expected to apply it's effect to some or all of the particles in the system passed to it, depending on the affector's approach.

Parameters

  pSystem | Pointer to a ParticleSystem to affect.
  timeElapsed | The number of seconds which have elapsed since the last call.

Implements Ogre::ParticleAffector.

## setColourAdjust()

void Ogre::ColourInterpolatorAffector::setColourAdjust | ( | size_t | index,
|  | ColourValue | colour )

## getColourAdjust()

ColourValue Ogre::ColourInterpolatorAffector::getColourAdjust | ( | size_t | index | ) | const

## setTimeAdjust()

void Ogre::ColourInterpolatorAffector::setTimeAdjust | ( | size_t | index,
|  | Real | time )

## getTimeAdjust()

Real Ogre::ColourInterpolatorAffector::getTimeAdjust | ( | size_t | index | ) | const

## _initParticle()

void Ogre::ColourInterpolatorAffector::_initParticle | ( | Particle * | pParticle | ) |

override virtual

Method called to allow the affector to initialize all newly created particles in the system.

This is where the affector gets the chance to initialize it's effects to the particles of a system. The affector is expected to initialize some or all of the particles in the system passed to it, depending on the affector's approach.

Parameters

  pParticle | Pointer to a Particle to initialize.

Reimplemented from Ogre::ParticleAffector.

References MAX_STAGES.

## Member Data Documentation

## msColourCmd

CmdColourAdjust Ogre::ColourInterpolatorAffector::msColourCmd[MAX_STAGES]

static

## msTimeCmd

CmdTimeAdjust Ogre::ColourInterpolatorAffector::msTimeCmd[MAX_STAGES]

static

The documentation for this class was generated from the following file:

- OgreColourInterpolatorAffector.h